Skip to content
View as Markdown

POST Update Campaign Step​

POST
/campaigns/{id}/step

Update the current wizard step for a campaign. This sets the _next_config_step campaign meta value, which tracks how far the user has progressed through the campaign setup wizard.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"next_step": 0
}

Responses​

Step updated successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI